/*add by Hari Sankar for font-family change based DDA documents 20240325*/
.sgc-doc-pge {
    padding: 15px;
    height: 94%;
    position: relative;
}
.Company_registration .sgc-doc-pge {
    height: 100%;
}
.layoutpage_content {
    padding: 0;
}

.sgc-doc-pge .document_info {
    width: 100%;
}

    .sgc-doc-pge .document_info .content_input {
        float: left;
        width: 50%;
        padding-right: 0px;
        height: 100%;
        padding-bottom: 0px;
        margin: 0;
        display: block;
    }

    .sgc-doc-pge .document_info .company_content {
        height: calc(100% - 44px);
        width: 100%;
        padding-right: 15px;
        float: left;
    }

.doc_blk {
    width: 100%;
    margin-bottom: 30px;
    border: 1px solid var(--color-BodTertiaryGray);
    border-radius: 8px;
    font-size: 26px;
    font-weight: 500;
    cursor: pointer;
    margin-bottom: 15px;
}

    .doc_blk .dochead_blk {
        display: flex;
        align-items: center;
        padding: 15px;
        padding-left: 25px;
        font-weight: 700;
    }

.sgc-doc-pge .document_info .company_content .dochead_blk {
    padding: 2px 9px 0px;
}

.doc_blk .dochead_blk > span {
    width: 100%;
    color: var(--color-TextBlack);
}

.doc_blk .dochead_blk > .expand_arrow {
    color: var(--color-TextBlack);
    height: 30px;
    min-width: 30px;
    background-repeat: no-repeat;
    background-size: 31px;
    cursor: pointer;
    padding: 2px;
}

.doc_blk .dochead_blk > .expand_down {
    background-image: url('../../../themes/greeno/ltr/assets/css/CSSPage/images/expand_down.svg');
    position: relative;
}
/*.armed_container .dochead_blk > .expand_down {
    position: absolute;
}*/
.doc_blk .dochead_blk > .expand_up {
    background-image: url('../../../themes/greeno/ltr/assets/css/CSSPage/images/expand_up.svg');
}

.docu_blk {
    display: flex;
    margin-top: 15px;
    padding: 0px 25px 0px 25px;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.sgc-doc-pge .document_info .company_content .docu_blk {
    margin: 0px;
    padding: 0px 7px 7px;
}

.sgc-doc-pge .document_info .company_content .Doc_load_section {
    width: 100%;
    position: relative;
}

    .sgc-doc-pge .document_info .company_content .Doc_load_section .gscrollitems {
        display: flex;
        grid-gap: 25px;
        overflow: hidden;
        align-items: end;
    }

.Doc_load_section .documentfields_upload {
    margin-right: 0px;
    width: 30.8%;
    max-width: 50%;
    display: flex;
    flex-direction: column;
    position: unset;
    min-width: 209px;
    justify-content: space-between;
}

.sgc-doc-pge .company_content .mandatory_doc .Is_must {
    width: 100%;
    display: flex;
}

.single_doc .doc_title {
    width: auto;
    max-width: 97%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    float: left;
}

.Doc_load_section .documentfields_upload .doc_title {
    width: auto;
    max-width: 100%;
    font-size: 18px;
    line-height: 27px;
    color: var(--color-TextBlack);
}

.sgc-doc-pge .company_content .mandatory_doc .Is_must .doc_title {
    max-width: calc(100% - 13px);
}

.documentfields_upload .uploadblock_img {
    float: left;
}

.document_info .documentfields_upload .uploadblock_img {
    grid-area: 1 / 3 / 5 / 3;
    width: 100%;
    height: 230px;
    margin-top: 0px;
    margin-bottom: 0px;
    white-space: initial;
}

.Doc_load_section .documentfields_upload .uploadblock_img {
    background-color: var(--color-BgTertiaryGray);
    border-radius: 8px;
    overflow: hidden;
}

.document_info .documentfields_upload .uploadblock_img.active {
    border: 2px solid var(--color-BodPrimaryBlue);
}

.document_info .documentfields_upload .uploadblock_img.img-uploded {
    border: 2px solid var(--color-BodGreenSuccessAlert);
}

    .document_info .documentfields_upload .uploadblock_img.iserror, .document_info .documentfields_upload .uploadblock_img.img-uploded.iserror {
        border: 2px solid var(--color-BodRedErrorText);
    }

.sgc-doc-pge .Doc_load_section .documentfields_upload .uploadblock_img.IsActive {
    border: 2px solid;
    border-color: var(--color-BodPrimaryBlue);
}

.document_info .uploadimg_text, .document_info .plotuploadimg_text {
    font-size: 26px;
    margin: 12% 10px 0 10px;
}

.Doc_load_section .documentfields_upload .uploadblock_img .upld_icn {
    height: 65%;
    margin-top: 20%;
    transition-duration: 300ms;
}

.sgc-doc-pge .document_info .img_upload {
    float: left;
    width: 50%;
    height: 100%;
/*    border: 2px solid var(--color-BodTertiaryGray);*/
    border-radius: 8px;
    cursor: pointer;
}

.imguploadprof.drag-image {
    height: 100%;
    width: 100%;
}

.sgc-doc-pge .document_info .img_upload .imguploadprof {
    float: left;
    background-color: var(--color-BgTertiaryGray);
    border-radius: 8px;
    overflow: hidden;
}

.sgc-doc-pge .img_upload .imguploadprof .img_container .plotuploadimg_text {
    margin: 50px 0px 0px 0px;
    width: 100%;
    border-bottom: none;
    font-size: 30px;
    text-align: center;
}

    .sgc-doc-pge .img_upload .imguploadprof .img_container .plotuploadimg_text .rng-binding {
        border-bottom: 2px solid;
    }

        .sgc-doc-pge .img_upload .imguploadprof .img_container .plotuploadimg_text .rng-binding:after {
            content: " *";
        }

.sgc-doc-pge .document_info .img_upload .docImgViewer {
    background: var(--color-BgBlack);
    display: flex;
    padding: 0;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

    .sgc-doc-pge .document_info .img_upload .docImgViewer canvas-viewer {
        height: 93%;
        padding: 10px 0px;
        width: 100%;
        flex: 1 1 auto;
        position: relative;
    }

    .sgc-doc-pge .document_info .img_upload .docImgViewer .scrollingcontainer {
        margin: 0px auto;
        max-width: 95%;
        background: var(--color-BgBlack);
    }

        .sgc-doc-pge .document_info .img_upload .docImgViewer .scrollingcontainer .g-scrolling-carousel .items {
            padding: 2px;
            background-color: var(--color-BgBlack);
        }

            .sgc-doc-pge .document_info .img_upload .docImgViewer .scrollingcontainer .g-scrolling-carousel .items a {
                display: inline-block;
                margin-right: 2px;
                width: 50px;
                line-height: 50px;
                box-shadow: 0 3px 6px var(--color-DropBoxShadowx), 0 3px 6px var(--color-DropBoxShadowx);
                text-align: center;
                text-decoration: none;
                height: 50px;
                overflow: hidden;
                border-radius: 4px;
            }

                .sgc-doc-pge .document_info .img_upload .docImgViewer .scrollingcontainer .g-scrolling-carousel .items a > img {
                    height: 100%;
                    width: auto;
                }

    .sgc-doc-pge .document_info .img_upload .docImgViewer .adOption {
        position: absolute;
        z-index: 9;
        width: max-content;
        left: 10px;
        top: 10px;
    }

.sgc-doc-pge .document_info .img_upload .img_container.noImg .side-attachment {
    z-index: 2;
}

.sgc-doc-pge .document_info .img_upload .docImgViewer .active_check {
    color: var(--color-TextOrgWhite);
    font-size: 26px;
    cursor: pointer;
}

.sgc-doc-pge .img_upload .imguploadprof .img_container .side-attachment .inside-image-attachment .img_align {
    margin-top: 10%;
    height: 80%;
}

.sgc-doc-pge .img_upload .image-upload-content {
    position: fixed;
    left: 40%;
}

    .sgc-doc-pge .img_upload .image-upload-content .upload-footer {
        height: 69px;
        padding: 0px;
        border-top: 1px solid var(--color-BodTextSecondaryCharcoalGray);
        box-shadow: 1px 0px 0px 1px var(--color-DropBoxShadowx);
        width: 100%;
        position: absolute;
        bottom: 0px;
    }

    .sgc-doc-pge .img_upload .image-upload-content .upload-footer-btns {
        float: right;
    }

    .sgc-doc-pge .img_upload .image-upload-content .upload-footer .add-svg {
        font-size: 13px;
        padding: 8px 16px;
        border-radius: 4px;
        margin-left: 0px;
        box-shadow: none;
    }

        .sgc-doc-pge .img_upload .image-upload-content .upload-footer .add-svg.upload-save {
            margin-left: 0px;
            margin-right: 16px;
        }

    .sgc-doc-pge .img_upload .image-upload-content .upload-footer .upload-save {
        background-color: var(--color-BgPrimaryBlue);
        color: var(--color-TextOrgWhite);
    }

    .sgc-doc-pge .img_upload .image-upload-content .upload-footer .upload-cancel {
        background-color: var(--color-BgOrgWhite);
        color: var(--color-TextPrimaryBlue);
        border: 1px solid var(--color-BodTextSecondaryCharcoalGray);
    }

.sgc-doc-pge canvas.viewer {
    height: 100%;
    width: 100%;
}

.sgc-doc-pge .img_upload .side-attachment.docImgViewer {
    z-index: 2;
}

.sgc-doc-pge .optional_doc .upld_icn {
    display: none;
}

.sgc-doc-pge .bfr-upload {
    height: 75%;
    margin-top: 13%;
    transition-duration: 300ms;
    display: block;
}

.ft_buttons {
    position: unset;
    height: auto;
    float: left;
    padding-right: 15px;
}

.sgc-doc-pge .pull-left:hover,
.sgc-doc-pge .pull-right:hover {
    background: unset;
    background-color: var(--color-BgOrgOffWhite);
    border: 1px solid var(--color-BodOrgOffWhite);
    box-shadow: none;
    margin: 0;
    margin-bottom: 0px;
    padding: 0px 12px;
}

.sgc-doc-pge .pull-left.show_active:hover,
.sgc-doc-pge .pull-right.show_active:hover {
    background: unset;
    background-color: var(--color-BgPrimaryBlue);
    border: 1px solid var(--color-BodPrimaryBlue);
    box-shadow: none;
    margin: 0;
    margin-bottom: 0px;
    padding: 0px 12px;
}

.mandatory_symbl {
    color: var(--color-TextRedErrorText);
}

.IC-doc-page .docImgViewer {
    padding-top: 0px;
}
/*============HDG  Doc upload page dropdown issue css by vignesh ========*/
.selectedheader.liadropdownselect.dropdownselectissuedby.selectedheaderConPerGender rt-content._md {
    margin-top: 57px;
}

.selectedheader.liadropdownselect.dropdownselectissuedby.selectedheaderConPerGender .drop_serach_icon {
    margin: 10px 8px;
}

.selectedheader.liadropdownselect.dropdownselectissuedby.selectedheaderConPerGender .demo-header-searchbox {
    width: 100%;
    height: 100%;
    padding: 0;
    border: none;
    outline: none;
    font-family: var(--font-1);
    font-size: 16px;
}
/*============hdg css Doc upload dropdown issue by vignesh ========*/
.sgc-doc-pge.IC-doc-page .document_info .company_content .dochead_blk {
    padding: 10px 15px;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .docu_blk {
    padding: 0px 15px 0px 15px;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .Doc_load_section {
    float: left;
}

.sgc-doc-pge.IC-doc-page .g-scrolling {
    float: left;
    width: 100%;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .Doc_load_section .gscrollitems {
    float: left;
    width: 100%;
    grid-gap: 15px;
}

.sgc-doc-pge.IC-doc-page .doc_div_one {
    float: left;
    width: 100%;
}
/*.sgc-doc-pge.IC-doc-page .mandatory_doc .documentfields_upload {
    min-width: unset;
    width: 33.8%;
}*/
.sgc-doc-pge.IC-doc-page .document_info .company_content .Doc_info_fields .div_block {
    margin: 15px 0px;
    grid-gap: 15px;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .Doc_info_fields .div_fld {
    grid-gap: 15px;
}

.New_certificate_section .sgc-popup .sgc-doc-pge.IC-doc-page .input_block {
    height: 56px;
}

.doc_blk.armed_doc {
    float: left;
    display: block;
    width: 100%;
    overflow: unset;
    padding: 10px 15px;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .armed_doc .dochead_blk {
    padding: 0px;
    width: 268px;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .armed_doc.doc_collapse .dochead_blk {
    width: 283px;
}

.doc_blk.armed_doc .gscrollitems.items {
    float: left;
    width: 100%;
    grid-gap: 15px;
}

.doc_blk.armed_doc .armed_container {
    width: 32.2%;
    float: left;
}

.sgc-doc-pge.IC-doc-page .document_info .company_content .armed_doc .docu_blk {
    padding: 0px;
}

.doc_blk.armed_doc .jc-left {
    left: 0px !important;
}

.doc_blk.armed_doc .jc-right {
    right: 0px !important;
}

.doc_blk.armed_doc.doc_collapse .jc-left,
.doc_blk.armed_doc.doc_collapse .jc-right {
    display: none !important;
}

.permit_doc.permitdocument_block.TRADE_LICENSE .div_fld > .split_block > .input_block rt-input-container label:not(.rt-container-ignore).rt-required:after {
    content: "*";
    margin-left: 2px;
    padding-left: 2px;
}

.permit_doc.permitdocument_block.TRADE_LICENSE rt-input-container label:not(.rt-container-ignore).rt-required:after,
.permit_doc.permitdocument_block.RECEIPT rt-input-container label:not(.rt-container-ignore).rt-required:after {
    content: "*";
    margin-left: 2px;
    padding-left: 2px;
}

.permitdocument_block.TRADE_NAME_RESERVATION_CERTIFICATE .div_fld > .split_block > .input_block rt-input-container label:after,
.permitdocument_block.INITIAL_APPROVAL_CERTIFICATE .div_fld > .split_block > .input_block rt-input-container label:after {
    content: "*";
    color: var(--color-TextRedErrorText);
    position: relative;
    left: 6px;
}

.TRADE_NAME_RESERVATION_CERTIFICATE .input_block rt-input-container label:not(.rt-container-ignore):after,
.INITIAL_APPROVAL_CERTIFICATE .input_block rt-input-container label:not(.rt-container-ignore):after {
    content: "*";
    color: var(--color-TextRedErrorText);
    padding-left: 3px;
}

/*Todo added css by vignesh 20231123 start*/
.sgc-doc-pge .document_info .img_upload .docImgViewer .adOption.pdf-img { /*chorme browser doc header hiden*/
    z-index: 999;
    background: var(--color-BgBlack);
    right: 5px !important;
    cursor: auto;
}

@-moz-document url-prefix() {
    .adOption.pdf-img {
        top: 2px;
        right: 3px;
        width: 175px;
        height: 30px;
        visibility: hidden
    }

    @media(prefers-color-scheme:dark) {
        .adOption.pdf-img {
            background-color: var(--color-BgBlack);
            visibility: initial;
        }

        .sgc-doc-pge .document_info .img_upload .docImgViewer .adOption.pdf-img .active_check {
            color: var(--color-TextOrgWhite);
            font-size: 26px;
            margin-top: 0;
            cursor: pointer;
        }
    }

    @media(prefers-color-scheme:light) {
        .adOption.pdf-img {
            background-color: var(--color-BgOrgWhite);
            visibility: initial;
        }

        .sgc-doc-pge .document_info .img_upload .docImgViewer .adOption.pdf-img .active_check {
            color: var(--color-TextBlack);
            font-size: 26px;
            margin-top: 0;
            cursor: pointer;
        }

        .sgc-doc-pge .document_info .img_upload .docImgViewer .adOption.pdf-img {
            z-index: 999;
            background: var(--color-BgOrgWhite);
            right: 5px !important;
        }
    }
}
/*Todo added css by vignesh 20231123 End*/
.isgdrfaddisable {
    pointer-events: none;
}

.sgc-doc-pge .document_info .img_upload .isRerequest {
    border: 3px solid var(--color-BodRedErrorText);
}

.sgc-doc-pge .document_info .img_upload .isApproveRereq {
    border: 3px solid var(--color-BodGreenSuccessAlert);
}
/*@media (max-width: 1168px) {
    i.expand_arrow.expand_down {
        width: 35px !important;*/ /* change width only */
    /*}
}*/
